/************************************************************************************
**  MySQL       
** MySQL class contains methods for working with databases
**
**
*************************************************************************************/






#ifndef MYSQL_H
#define MYSQL_H

#include "settingsdialog.h"
#include "tablefield.h"
#include "sqltable.h"

#include <QObject>
#include <QtGui>
#include <QMainWindow>
#include <QString>
#include <QtSql>
#include <QSqlTableModel>
#include <QTableView>
#include <QSqlDriverPlugin>
#include <QIcon>
#include <QVariant>
#include <QProcess>
#include <QByteArray>


class MySql : public QObject
{
Q_OBJECT
public:
    explicit MySql(QObject *parent = 0);

    bool connect(QString* errorString); //    

signals:

public slots:

private:
    QString sqlDatabaseName; //     ,     
    QString sqlUserName; //      
    QString sqlPassword; //      
    QString sqlHostName; //    ,     
    QSqlDatabase db;

protected:

public:
    void setDatabaseName(QString dbname);
    void setUserName(QString uname);
    void setPassword(QString passwrd);
    void setHostName(QString hname);
    bool createTable(SqlTable* table, QString* errorString); //     

};

#endif // MYSQL_H
